curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"domain_id": "a84574fd5-eb84-42dc-a79f-595965eacb564",
"skill_cluster_name": "Database Management",
"skill_cluster_description": "Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle.\n"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters"
payload = {
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"domain_id": "a84574fd5-eb84-42dc-a79f-595965eacb564",
"skill_cluster_name": "Database Management",
"skill_cluster_description": "Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle.
"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 'a3903505-eb84-42dc-a79f-5e7b1fe897b7',
domain_id: 'a84574fd5-eb84-42dc-a79f-595965eacb564',
skill_cluster_name: 'Database Management',
skill_cluster_description: 'Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle.\n'
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
][
{
"title": "409 Conflict",
"description": "The resource already exists."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Create Skill Cluster
Create a new Skill Cluster in the system that is linked to a Domain or Subdomain. A Skill Cluster must be linked to a Domain in a 3-level Taxonomy, and it can only be linked to a Subdomain in a 4-level Taxonomy.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
- 3-level Taxonomy
- 4-level Taxonomy
Default structure for a Skill Cluster.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The unique ID of a Domain to which this Skill Cluster is linked, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a84574fd5-eb84-42dc-a79f-595965eacb564"
Name of the Skill Cluster.
1 - 255"Database Management"
Description of the Skill Cluster. The default is an empty string. Placeholder values such as "-" or "No description", or a description that exactly matches the Skill Cluster name, are automatically converted to an empty string.
"Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle.\n"
Response
No Content
Was this page helpful?